# Data Extension Setup

If you are new to using Data Extensions in Salesforce, be sure to reference the [Salesforce Trailhead module](https://trailhead.salesforce.com/en/content/learn/modules/marketing-cloud-contact-management/learn-about-data-extensions?trail_id=develop-for-marketing-cloud) when you're getting started.

After creating a data extension, you must remember to **bind your data extension to the Salesforce Contact** in order to be able to access the data extension data in your journey using the syntax `{{Contact.Attribute.<Data-Extention-Name>.<attribute-name>}}`.

Below is just one example of a successful setup for a Data Extension. If your setup looks different and you are encountering trouble passing through data, please reach out to **<support@heypoplar.com>**. You can also contact your **Salesforce Account Executive** for help on finding out how to reference your specific dataset in the journey.

### Create a New Data Extension <a href="#create-a-new-data-extension" id="create-a-new-data-extension"></a>

If you already have a Data Extension set up, skip to Step 3.

From your dashboard, navigate to **Audience Builder > Contact Builder > Data Extensions** and click **Create:**

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/63122a8e90c29a3d732c440f/file-ppIRe1NRXJ.png)

Give your data extension a unique and relevant name, then check **Is Sendable?** AND **Is Testable?** Leave Creation Method set to "Create from New" and External Key blank - Description is optional.

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/63123119037bc877147b5957/file-wzRzQHo45d.png)

All **Sendable** data extensions map to a subscriber whereas **non-sendable** data extensions are meant for reference data(e.g. product tables) that does not map to a subscriber, but that you may want to pull into an email.

Next, you'd typically set your data retention policy - for a test you can just leave the default, and continue on.

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/63123144037bc877147b5959/file-n5gNootrsR.png)

Then create your fields. Make sure you include an **identifier** field and set it as the primary key (identifier can be any kind of customer ID, email, etc.). This is what you'll use to link the data extension to your **Contact.** Ensure you set the **Send Relationship** as "identifier relates to Subscriber Key" (see bottom left corner in image below).

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/631231604cde766bbe141a2b/file-Tw85SHQv3P.png)

It is best practice to make sure the Subscriber Key is stored as text.

Click **Complete** to finish setting up your data extension.

***

### Add Records <a href="#add-records" id="add-records"></a>

Click into your new Data Extension, and navigate to the **Records** tab.Bulk import by clicking **Import** or manually add 2-3 records for test purposes by clicking **Add Record.**

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/631231b34cde766bbe141a2c/file-s2BQnZWis2.png)

### Create an Attribute Group <a href="#create-an-attribute-group" id="create-an-attribute-group"></a>

Once you've created your Data Extension, navigate back to **Data Designer** to create an **Attribute Group** and link them together.

Click **Create Attribute Group**. Give it a different name from your Data Extension and pick whichever icon you'd want to represent it with.

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/631231e64cde766bbe141a2e/file-0dzHYaJl1Q.png)

### Link Attribute Group to Data Extension <a href="#link-attribute-group-to-data-extension" id="link-attribute-group-to-data-extension"></a>

Select Link Data Extensions and map the **Contact Key** from the Salesforce Contact to the **identifier** in your Data Extension.

![](https://d33v4339jhl8k0.cloudfront.net/docs/assets/5f340c51042863444aa03abf/images/631232187164226be0c82b21/file-4P7RgMOovp.gif)

Hit **Save**, and you can now use this Data Extension in your journey!

To access the data extension data in your journey using the syntax: `{{Contact.Attribute.<Data-Extention-Name>.<attribute-name>}}`

***

### Important Things to Note <a href="#important-things-to-note" id="important-things-to-note"></a>

#### **Data Extension Updates** <a href="#data-extension-updates" id="data-extension-updates"></a>

Make sure you don't modify data extensions that are being used in an active journey. Modifications to data extensions used in active journeys are ignored by those active journeys. [Learn more](https://help.salesforce.com/articleView?id=sf.mc_jb_edit_an_entry_source.htm\&type=5) about the steps you should take if you wish to modify your data extension.

Need help? Reach out at **<support@heypoplar.com>** for assistance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.heypoplar.com/integrations/supported-platforms/salesforce-marketing-cloud/data-extension-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
